$(function(){
	$(".reportYear").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 4,
	    minView: 4,
	    forceParse: 0,
	    format: "yyyy"
	});
	$(".occurDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	$(".auditDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	function getDictionaryItem(paramName,name,ele){
		$.ajax({
			type:"get",
			url:'/orgbaseInfo/doFindDictCode',
			data:{
				'paramName':paramName
			},
			success:function(data){
//				console.log(data);
				if( data ){
					ele.empty().append('<option value="">请选择</option>');
					for(var i in data){
						ele.append('<option value="'+i+'">'+data[i]+'</option>');
					}
					if( ele.attr("value")!='' ){//有值
						ele.find("option").each(function(){
							if( $(this).val()==ele.attr("value") ){
								$(this).prop("selected",true);
							}
						})
					}
				}
			},
			error:function(status){
				new $.zui.Messager(name+'数据获取失败', {
					type : 'danger',
					time : 1500
				}).show();
			}
		})
	}
	//填值---开始
	if( JSON.stringify(finbsData[operationRowNum]) != "{}" ){//判断是否保存过值
		$("#finbsUpdateForm .originalReportTime").val(finbsData[operationRowNum].originalReportTime);//系统内报表年月
		$("#finbsUpdateForm .reportYear").val(finbsData[operationRowNum].reportYear);//上报-报表年份
		$("#finbsUpdateForm .reportType").attr("value",finbsData[operationRowNum].reportType);//报表类型
		$("#finbsUpdateForm .reportSubType").attr("value",finbsData[operationRowNum].reportSubType);//报表类型细分
		$("#finbsUpdateForm .occurDate").val(finbsData[operationRowNum].occurDate);//业务发生日期
		$("#finbsUpdateForm .finOrgCode").val(finbsData[operationRowNum].finOrgCode);//金融机构代码
		$("#finbsUpdateForm .borrowerName").val(finbsData[operationRowNum].borrowerName);//借款人名称
		$("#finbsUpdateForm .loanCardNo").val(finbsData[operationRowNum].loanCardNo);//贷款卡编码
		$("#finbsUpdateForm .auditFirm").val(finbsData[operationRowNum].auditFirm);//审计事务所名称
		$("#finbsUpdateForm .auditor").val(finbsData[operationRowNum].auditor);//审计人员名称
		$("#finbsUpdateForm .auditDate").val(finbsData[operationRowNum].auditDate);//审计时间
		$("#finbsUpdateForm .g9100").val(finbsData[operationRowNum].g9100);//货币资金
		$("#finbsUpdateForm .g9101").val(finbsData[operationRowNum].g9101);//交易性金融资产
		$("#finbsUpdateForm .g9102").val(finbsData[operationRowNum].g9102);//应收票据
		$("#finbsUpdateForm .g9103").val(finbsData[operationRowNum].g9103);//应收账款
		$("#finbsUpdateForm .g9104").val(finbsData[operationRowNum].g9104);//预付账款
		$("#finbsUpdateForm .g9105").val(finbsData[operationRowNum].g9105);//应收利息
		$("#finbsUpdateForm .g9106").val(finbsData[operationRowNum].g9106);//应收股利
		$("#finbsUpdateForm .g9107").val(finbsData[operationRowNum].g9107);//其他应收款
		$("#finbsUpdateForm .g9108").val(finbsData[operationRowNum].g9108);//存货
		$("#finbsUpdateForm .g9109").val(finbsData[operationRowNum].g9109);//一年内到期的非流动资产
		$("#finbsUpdateForm .g9110").val(finbsData[operationRowNum].g9110);//其他流动资产
		$("#finbsUpdateForm .g9111").val(finbsData[operationRowNum].g9111);//流动资产合计
		$("#finbsUpdateForm .g9112").val(finbsData[operationRowNum].g9112);//可供出售的金融资产
		$("#finbsUpdateForm .g9113").val(finbsData[operationRowNum].g9113);//持有至到期投资
		$("#finbsUpdateForm .g9114").val(finbsData[operationRowNum].g9114);//长期股权投资
		$("#finbsUpdateForm .g9115").val(finbsData[operationRowNum].g9115);//长期应收款
		$("#finbsUpdateForm .g9116").val(finbsData[operationRowNum].g9116);//投资性房地产
		$("#finbsUpdateForm .g9117").val(finbsData[operationRowNum].g9117);//固定资产
		$("#finbsUpdateForm .g9118").val(finbsData[operationRowNum].g9118);//在建工程
		$("#finbsUpdateForm .g9119").val(finbsData[operationRowNum].g9119);//工程物资
		$("#finbsUpdateForm .g9120").val(finbsData[operationRowNum].g9120);//固定资产清理
		$("#finbsUpdateForm .g9121").val(finbsData[operationRowNum].g9121);//生产性生物资产
		$("#finbsUpdateForm .g9122").val(finbsData[operationRowNum].g9122);//油气资产
		$("#finbsUpdateForm .g9123").val(finbsData[operationRowNum].g9123);//无形资产
		$("#finbsUpdateForm .g9124").val(finbsData[operationRowNum].g9124);//开发支出
		$("#finbsUpdateForm .g9125").val(finbsData[operationRowNum].g9125);//商誉
		$("#finbsUpdateForm .g9126").val(finbsData[operationRowNum].g9126);//长期待摊费用
		$("#finbsUpdateForm .g9127").val(finbsData[operationRowNum].g9127);//递延所得税资产
		$("#finbsUpdateForm .g9128").val(finbsData[operationRowNum].g9128);//其他非流动资产
		$("#finbsUpdateForm .g9129").val(finbsData[operationRowNum].g9129);//非流动资产合计
		$("#finbsUpdateForm .g9130").val(finbsData[operationRowNum].g9130);//资产总计
		$("#finbsUpdateForm .g9131").val(finbsData[operationRowNum].g9131);//短期借款
		$("#finbsUpdateForm .g9132").val(finbsData[operationRowNum].g9132);//交易性金融负债
		$("#finbsUpdateForm .g9133").val(finbsData[operationRowNum].g9133);//应付票据
		$("#finbsUpdateForm .g9134").val(finbsData[operationRowNum].g9134);//应付账款
		$("#finbsUpdateForm .g9135").val(finbsData[operationRowNum].g9135);//预收帐款
		$("#finbsUpdateForm .g9136").val(finbsData[operationRowNum].g9136);//应付利息
		$("#finbsUpdateForm .g9137").val(finbsData[operationRowNum].g9137);//应付职工薪酬
		$("#finbsUpdateForm .g9138").val(finbsData[operationRowNum].g9138);//应交税费
		$("#finbsUpdateForm .g9139").val(finbsData[operationRowNum].g9139);//应付股利
		$("#finbsUpdateForm .g9140").val(finbsData[operationRowNum].g9140);//其他应付款
		$("#finbsUpdateForm .g9141").val(finbsData[operationRowNum].g9141);//一年内到期的非流动负债
		$("#finbsUpdateForm .g9142").val(finbsData[operationRowNum].g9142);//其他流动负债
		$("#finbsUpdateForm .g9143").val(finbsData[operationRowNum].g9143);//流动负债合计
		$("#finbsUpdateForm .g9144").val(finbsData[operationRowNum].g9144);//长期借款
		$("#finbsUpdateForm .g9145").val(finbsData[operationRowNum].g9145);//应付债券
		$("#finbsUpdateForm .g9146").val(finbsData[operationRowNum].g9146);//长期应付款
		$("#finbsUpdateForm .g9147").val(finbsData[operationRowNum].g9147);//专项应付款
		$("#finbsUpdateForm .g9148").val(finbsData[operationRowNum].g9148);//预计负债
		$("#finbsUpdateForm .g9149").val(finbsData[operationRowNum].g9149);//递延所得税负债
		$("#finbsUpdateForm .g9150").val(finbsData[operationRowNum].g9150);//其他非流动负债
		$("#finbsUpdateForm .g9151").val(finbsData[operationRowNum].g9151);//非流动负债合计
		$("#finbsUpdateForm .g9152").val(finbsData[operationRowNum].g9152);//负债合计
		$("#finbsUpdateForm .g9153").val(finbsData[operationRowNum].g9153);//实收资本（或股本）
		$("#finbsUpdateForm .g9154").val(finbsData[operationRowNum].g9154);//资本公积
		$("#finbsUpdateForm .g9155").val(finbsData[operationRowNum].g9155);//减：库存股
		$("#finbsUpdateForm .g9156").val(finbsData[operationRowNum].g9156);//盈余公积
		$("#finbsUpdateForm .g9157").val(finbsData[operationRowNum].g9157);//未分配利润
		$("#finbsUpdateForm .g9158").val(finbsData[operationRowNum].g9158);//所有者权益合计
		$("#finbsUpdateForm .g9159").val(finbsData[operationRowNum].g9159);//负债和所有者权益合计
	}
	$("#finbsUpdateForm .amount").each(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	$("#finbsUpdateForm .amount").keyup(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	getDictionaryItem('reportType','报表类型',$("#finbsUpdateForm .reportType"));
	getDictionaryItem('reportSubType','报表类型细分',$("#finbsUpdateForm .reportSubType"));
	
	$(".finbsDialog .addSure").removeClass("loadingCircle");
	
	$(".finbsDialog .addSure").click(function(){
		$("#finbsUpdateForm").submit();
	})
	$("#finbsUpdateForm").validate({
		promptPosition : "bottomLeft",
		submitHandler : function(form) {
			$(".finbsDialog .addSure").addClass("loadingCircle");
			$("#finbsUpdateForm .amount").each(function(){
				$(this).val($(this).val().split(',').join(''));
			})
			$(".finbsDialog").modal("hide");
			$(".finbsDialog").on('hidden.zui.modal', function(){
				finbsData[operationRowNum].originalReportTime=$("#finbsUpdateForm .originalReportTime").val();//系统内报表年月
				finbsData[operationRowNum].reportYear=$("#finbsUpdateForm .reportYear").val();//上报-报表年份
				if( $("#finbsUpdateForm .reportType").val()!='' ){
					finbsData[operationRowNum].reportType=$("#finbsUpdateForm .reportType").val();//报表类型
					finbsData[operationRowNum].reportTypeCN=$("#finbsUpdateForm .reportType").find("option:selected").text();//报表类型name
				}else {
					finbsData[operationRowNum].reportType='';
					finbsData[operationRowNum].reportTypeCN='';
				}
				if( $("#finbsUpdateForm .reportSubType").val()!='' ){
					finbsData[operationRowNum].reportSubType=$("#finbsUpdateForm .reportSubType").val();//报表类型细分
					finbsData[operationRowNum].reportSubTypeCN=$("#finbsUpdateForm .reportSubType").find("option:selected").text();//报表类型细分name
				}else {
					finbsData[operationRowNum].reportSubType='';
					finbsData[operationRowNum].reportSubTypeCN='';
				}
				finbsData[operationRowNum].occurDate=$("#finbsUpdateForm .occurDate").val();//业务发生日期
				finbsData[operationRowNum].finOrgCode=$("#finbsUpdateForm .finOrgCode").val();//金融机构代码
				finbsData[operationRowNum].borrowerName=$("#finbsUpdateForm .borrowerName").val();//借款人名称
				finbsData[operationRowNum].loanCardNo=$("#finbsUpdateForm .loanCardNo").val();//贷款卡编码
				finbsData[operationRowNum].auditFirm=$("#finbsUpdateForm .auditFirm").val();//审计事务所名称
				finbsData[operationRowNum].auditor=$("#finbsUpdateForm .auditor").val();//审计人员名称
				finbsData[operationRowNum].auditDate=$("#finbsUpdateForm .auditDate").val();//审计时间
				finbsData[operationRowNum].g9100=$("#finbsUpdateForm .g9100").val();//货币资金
				finbsData[operationRowNum].g9101=$("#finbsUpdateForm .g9101").val();//交易性金融资产
				finbsData[operationRowNum].g9102=$("#finbsUpdateForm .g9102").val();//应收票据
				finbsData[operationRowNum].g9103=$("#finbsUpdateForm .g9103").val();//应收账款
				finbsData[operationRowNum].g9104=$("#finbsUpdateForm .g9104").val();//预付账款
				finbsData[operationRowNum].g9105=$("#finbsUpdateForm .g9105").val();//应收利息
				finbsData[operationRowNum].g9106=$("#finbsUpdateForm .g9106").val();//应收股利
				finbsData[operationRowNum].g9107=$("#finbsUpdateForm .g9107").val();//其他应收款
				finbsData[operationRowNum].g9108=$("#finbsUpdateForm .g9108").val();//存货
				finbsData[operationRowNum].g9109=$("#finbsUpdateForm .g9109").val();//一年内到期的非流动资产
				finbsData[operationRowNum].g9110=$("#finbsUpdateForm .g9110").val();//其他流动资产
				finbsData[operationRowNum].g9111=$("#finbsUpdateForm .g9111").val();//流动资产合计
				finbsData[operationRowNum].g9112=$("#finbsUpdateForm .g9112").val();//可供出售的金融资产
				finbsData[operationRowNum].g9113=$("#finbsUpdateForm .g9113").val();//持有至到期投资
				finbsData[operationRowNum].g9114=$("#finbsUpdateForm .g9114").val();//长期股权投资
				finbsData[operationRowNum].g9115=$("#finbsUpdateForm .g9115").val();//长期应收款
				finbsData[operationRowNum].g9116=$("#finbsUpdateForm .g9116").val();//投资性房地产
				finbsData[operationRowNum].g9117=$("#finbsUpdateForm .g9117").val();//固定资产
				finbsData[operationRowNum].g9118=$("#finbsUpdateForm .g9118").val();//在建工程
				finbsData[operationRowNum].g9119=$("#finbsUpdateForm .g9119").val();//工程物资
				finbsData[operationRowNum].g9120=$("#finbsUpdateForm .g9120").val();//固定资产清理
				finbsData[operationRowNum].g9121=$("#finbsUpdateForm .g9121").val();//生产性生物资产
				finbsData[operationRowNum].g9122=$("#finbsUpdateForm .g9122").val();//油气资产
				finbsData[operationRowNum].g9123=$("#finbsUpdateForm .g9123").val();//无形资产
				finbsData[operationRowNum].g9124=$("#finbsUpdateForm .g9124").val();//开发支出
				finbsData[operationRowNum].g9125=$("#finbsUpdateForm .g9125").val();//商誉
				finbsData[operationRowNum].g9126=$("#finbsUpdateForm .g9126").val();//长期待摊费用
				finbsData[operationRowNum].g9127=$("#finbsUpdateForm .g9127").val();//递延所得税资产
				finbsData[operationRowNum].g9128=$("#finbsUpdateForm .g9128").val();//其他非流动资产
				finbsData[operationRowNum].g9129=$("#finbsUpdateForm .g9129").val();//非流动资产合计
				finbsData[operationRowNum].g9130=$("#finbsUpdateForm .g9130").val();//资产总计
				finbsData[operationRowNum].g9131=$("#finbsUpdateForm .g9131").val();//短期借款
				finbsData[operationRowNum].g9132=$("#finbsUpdateForm .g9132").val();//交易性金融负债
				finbsData[operationRowNum].g9133=$("#finbsUpdateForm .g9133").val();//应付票据
				finbsData[operationRowNum].g9134=$("#finbsUpdateForm .g9134").val();//应付账款
				finbsData[operationRowNum].g9135=$("#finbsUpdateForm .g9135").val();//预收帐款
				finbsData[operationRowNum].g9136=$("#finbsUpdateForm .g9136").val();//应付利息
				finbsData[operationRowNum].g9137=$("#finbsUpdateForm .g9137").val();//应付职工薪酬
				finbsData[operationRowNum].g9138=$("#finbsUpdateForm .g9138").val();//应交税费
				finbsData[operationRowNum].g9139=$("#finbsUpdateForm .g9139").val();//应付股利
				finbsData[operationRowNum].g9140=$("#finbsUpdateForm .g9140").val();//其他应付款
				finbsData[operationRowNum].g9141=$("#finbsUpdateForm .g9141").val();//一年内到期的非流动负债
				finbsData[operationRowNum].g9142=$("#finbsUpdateForm .g9142").val();//其他流动负债
				finbsData[operationRowNum].g9143=$("#finbsUpdateForm .g9143").val();//流动负债合计
				finbsData[operationRowNum].g9144=$("#finbsUpdateForm .g9144").val();//长期借款
				finbsData[operationRowNum].g9145=$("#finbsUpdateForm .g9145").val();//应付债券
				finbsData[operationRowNum].g9146=$("#finbsUpdateForm .g9146").val();//长期应付款
				finbsData[operationRowNum].g9147=$("#finbsUpdateForm .g9147").val();//专项应付款
				finbsData[operationRowNum].g9148=$("#finbsUpdateForm .g9148").val();//预计负债
				finbsData[operationRowNum].g9149=$("#finbsUpdateForm .g9149").val();//递延所得税负债
				finbsData[operationRowNum].g9150=$("#finbsUpdateForm .g9150").val();//其他非流动负债
				finbsData[operationRowNum].g9151=$("#finbsUpdateForm .g9151").val();//非流动负债合计
				finbsData[operationRowNum].g9152=$("#finbsUpdateForm .g9152").val();//负债合计
				finbsData[operationRowNum].g9153=$("#finbsUpdateForm .g9153").val();//实收资本（或股本）
				finbsData[operationRowNum].g9154=$("#finbsUpdateForm .g9154").val();//资本公积
				finbsData[operationRowNum].g9155=$("#finbsUpdateForm .g9155").val();//减：库存股
				finbsData[operationRowNum].g9156=$("#finbsUpdateForm .g9156").val();//盈余公积
				finbsData[operationRowNum].g9157=$("#finbsUpdateForm .g9157").val();//未分配利润
				finbsData[operationRowNum].g9158=$("#finbsUpdateForm .g9158").val();//所有者权益合计
				finbsData[operationRowNum].g9159=$("#finbsUpdateForm .g9159").val();//负债和所有者权益合计
				//console.log(finbsData);
				updateListData('finbsList',finbsData[operationRowNum],operationRowNum);
			});
		},
		rules : {
			'g9100':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9101':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9102':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9103':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9104':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9105':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9106':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9107':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9108':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9109':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9110':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9111':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9112':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9113':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9114':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9115':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9116':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9117':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9118':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9119':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9120':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9121':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9122':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9123':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9124':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9125':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9126':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9127':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9128':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9129':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9130':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9131':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9132':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9133':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9134':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9135':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9136':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9137':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9138':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9139':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g91340':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9141':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9142':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9143':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9144':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9145':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9146':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9147':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9148':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9149':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9150':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9151':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9152':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9153':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9154':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9155':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9156':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9157':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9158':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'g9159':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			}
		},
		messages : {
			
		}
	})
})